BusinessExternal Accounts
Retrieve an External Account
GET
Scopes: external_account:read
OAuth2ClientCredentialsBearer external_account:readheader
AuthorizationBearer <token>Scope: external_account:read
business_id*Business IdThe id of the business
Format
biz_stringexternal_account_id*External Account IdThe id of the external account
Format
eac_stringSuccessful Response
application/json- response
data*curl -X GET 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/external-account/eac_9p2Fp7gra8aCVNvCSekUyK'Example Response
{ "data": { "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7", "type": "business", "ledger_id": "ldg_Ns6rRRLYVZPh4cVB7MDby5", "contribution_ledger_id": "ldg_Ns6rRRLYVZPh4cVB7MDby5", "distribution_ledger_id": "ldg_Ns6rRRLYVZPh4cVB7MDby5", "financial_account_type": "bank_account", "source": "manual", "external_id": "1234567890", "metadata_": {}, "name": "ABC Business Checking", "mask": "1234", "status": "connected", "disconnected_at": "2019-08-24T14:15:22Z", "last_synced_at": "2019-08-24T14:15:22Z", "last_balanced_at": "2019-08-24T14:15:22Z", "external_balance": 3512.85, "last_statement_end_date": "2019-08-24T14:15:22Z", "currency": "USD", "is_deleteable": true, "id": "eac_Ns6rRRLYVZPh4cVB7MDby5", "institution_name": "Chase Bank" }}